# Uses of Class
org.snpsift.annotate.mem.Fields

Packages that use Fields
Package
Description
org.snpsift.annotate.mem
org.snpsift.annotate.mem.database
org.snpsift.annotate.mem.variantTypeCounter

## Uses of Fields in org.snpsift.annotate.mem

Methods in org.snpsift.annotate.mem that return Fields
Modifier and Type
Method
Description
`static Fields`
Fields.`load(String fileName)`

## Uses of Fields in org.snpsift.annotate.mem.database

Methods in org.snpsift.annotate.mem.database that return Fields
Modifier and Type
Method
Description
`Fields`
VariantDatabase.`getFields()`
`protected Fields`
VariantDatabase.`parseVcfHeaderFields(String databaseVcfFileName)`
Read VCF header and get columns data types
`protected Fields`
VariantDatabase.`parseVcfHeaderFields(org.snpeff.fileIterator.VcfFileIterator vcfFileIterator)`
Read VCF header and get columns data types

## Uses of Fields in org.snpsift.annotate.mem.variantTypeCounter

Fields in org.snpsift.annotate.mem.variantTypeCounter declared as Fields
Modifier and Type
Field
Description
`protected Fields`
VariantTypeCounter.`fields`
Methods in org.snpsift.annotate.mem.variantTypeCounter that return Fields
Modifier and Type
Method
Description
`Fields`
VariantTypeCounter.`getFields()`
`Fields`
VariantTypeCounters.`getFields()`
Constructors in org.snpsift.annotate.mem.variantTypeCounter with parameters of type Fields
Modifier
Constructor
Description
``
`VariantTypeCounter(Fields fields)`
``
`VariantTypeCounters(Fields fields, boolean verbose)`